Name:          libdnf
Version:       0.54.2
Release:       1mamba
Summary:       Software management library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/rpm-software-management/libdnf
## GITSOURCE https://github.com/rpm-software-management/libdnf.git 0.22.4
Source:        https://github.com/rpm-software-management/libdnf.git/%{version}/libdnf-%{version}.tar.bz2
Patch0:        libdnf-0.33.0-gcc-8.3.0.patch
Patch1:        libdnf-0.22.0-rpm5.patch
Patch2:        libdnf-0.22.0-rpm5-2.patch
Patch3:        libdnf-0.22.0-rpm5-additional.patch
Patch4:        libdnf-0.31.0-x86_64-disable_inferior_arch_check.patch
Patch5:        libdnf-0.31.0-openmamba-kernel-packages.patch
Patch6:        libdnf-0.43.1-arm-detect-arch-using-uname.patch
Patch7:        libdnf-0.31.0-i586-default-basearch.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libassuan-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgpgme-devel
BuildRequires: libjson-c-devel
BuildRequires: libmodulemd-devel
BuildRequires: libopenssl-devel
BuildRequires: libpython-devel
BuildRequires: libpython3-devel
BuildRequires: librepo-devel
BuildRequires: librpm-devel
BuildRequires: libsmartcols-devel
BuildRequires: libsolv-devel
BuildRequires: libsqlite-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: libsolv >= 0.7.5
BuildRequires: libmodulemd >= 2.5.0
#BuildRequires: libmodulemd-devel
Provides:      libhawkey
Obsoletes:     libhawkey
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Software management library.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config
Provides:      libhawkey-devel
Obsoletes:     libhawkey-devel

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1
%ifarch x86_64
%patch4 -p1
%endif
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
%cmake -d build \
   -DPYTHON_DESIRED=3

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libdnf.so.*
%dir %{_libdir}/libdnf/plugins
%{_libdir}/libdnf/plugins/README
%dir %{python3_sitearch}/libdnf
%{python3_sitearch}/libdnf/*
%dir %{python3_sitearch}/hawkey
%{python3_sitearch}/hawkey/*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libdnf
%{_includedir}/libdnf/*
%{_libdir}/libdnf.so
%{_libdir}/pkgconfig/libdnf.pc
%dir %{_datadir}/gtk-doc/html/libdnf
%{_datadir}/gtk-doc/html/libdnf/*
%{_mandir}/man3/hawkey.3*
%doc README.md

%changelog
* Fri Oct 09 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.54.2-1mamba
- update to 0.54.2

* Sat Aug 15 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.48.0-1mamba
- update to 0.48.0

* Fri Aug 14 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.45.0-2mamba
- rebuilt with python3

* Thu Feb 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.45.0-1mamba
- update to 0.45.0

* Thu Jan 16 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.43.1-1mamba
- update to 0.43.1

* Fri Oct 25 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.33.0-1mamba
- update to 0.33.0

* Fri Aug 16 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.31.0-3mamba
- x86: patched to set i586 instead of i386 as detected base arch

* Sun Jun 23 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.31.0-2mamba
- added patches for x86_64 cohexistance with x86 packages and for openmamba kernel packages names

* Sat Jun 22 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.31.0-1mamba
- update to 0.31.0

* Tue Jun 04 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.26.0-1mamba
- update to 0.26.0

* Tue Jun 04 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.22.4-1mamba
- update to 0.22.4

* Sat Jun 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.22.0-1mamba
- update to 0.22.0

* Sat Jun 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.11.1-1mamba
- update to 0.11.1

* Sat Jun 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.1-1mamba
- update to 0.8.1

* Sat Jun 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.33.0-1mamba
- package created using the webbuild interface
